Bug 713584 - Review Request: cogl - A library for using 3D graphics hardware to draw pretty pictures
Review Request: cogl - A library for using 3D graphics hardware to draw prett...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elad Alfassa
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 713096
  Show dependency treegraph
 
Reported: 2011-06-15 16:31 EDT by Peter Robinson
Modified: 2011-08-02 08:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-02 08:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
elad: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2011-06-15 16:31:43 EDT
SPEC: http://pbrobinson.fedorapeople.org/cogl.spec
SRPM: http://pbrobinson.fedorapeople.org/cogl-1.7.0-1.fc16.src.rpm

Description:
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures. The API departs from the flat state machine style of
OpenGL and is designed to make it easy to write orthogonal components that
can render without stepping on each others toes.

As well aiming for a nice API, we think having a single library as opposed
to an API specification like OpenGL has a few advantages too; like being
able to paper over the inconsistencies/bugs of different OpenGL
implementations in a centralized place, not to mention the myriad of OpenGL
extensions. It also means we are in a better position to provide utility
APIs that help software developers since they only need to be implemented
once and there is no risk of inconsistency between implementations.

Having other backends, besides OpenGL, such as drm, Gallium or D3D are
options we are interested in for the future.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3133339
Comment 1 Elad Alfassa 2011-06-16 05:04:49 EDT
I'll do the review.

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
+ Sources match upstream md5sum:
6a2549ac55216cbb62dc2079b6dc4f46  cogl-1.7.0.tar.bz2

- Package needs ExcludeArch
- BuildRequires correct
+ Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package has %defattr and permissions on files is good.
+ Package is code or permissible content.
+ Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

+ Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
+ .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
+ -devel package Requires: %{name} = %{version}-%{release}
+ .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
- Package owns all the directories it creates.
? No rpmlint output.

[elad@elephant SRPMS]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/cogl-*
cogl.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
cogl.src: W: spelling-error %description -l en_US drm -> rm, dram, dorm
cogl.x86_64: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
cogl.x86_64: W: spelling-error %description -l en_US drm -> rm, dram, dorm
cogl.x86_64: W: shared-lib-calls-exit /usr/lib64/libcogl.so.0.0.0 exit@GLIBC_2.2.5
cogl.x86_64: E: incorrect-fsf-address /usr/share/doc/cogl-1.7.0/COPYING
cogl-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 1 errors, 6 warnings.

Spelling errors and the no-documentation error can be ignored, but please fix the FSF address (and submit a patch to upsteam with the fix)
+ final provides and requires are sane:

cogl-1.7.0-1.fc16.src.rpm
=
cairo-devel  
glib2-devel  
gobject-introspection-devel  
gtk-doc  
libXcomposite-devel  
libXdamage-devel  
libXext-devel  
libXfixes-devel  
mesa-libGL-devel  
pango-devel  
pkgconfig  
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1

cogl-1.7.0-1.fc16.x86_64.rpm
libcogl-pango.so.0()(64bit)  
libcogl.so.0()(64bit)  
cogl = 1.7.0-1.fc16
cogl(x86-64) = 1.7.0-1.fc16
=
/sbin/ldconfig  
/sbin/ldconfig  
libGL.so.1()(64bit)  
libX11.so.6()(64bit)  
libXcomposite.so.1()(64bit)  
libXdamage.so.1()(64bit)  
libXext.so.6()(64bit)  
libXfixes.so.3()(64bit)  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.11)(64bit)  
libc.so.6(GLIBC_2.14)(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libc.so.6(GLIBC_2.7)(64bit)  
libcairo.so.2()(64bit)  
libcogl.so.0()(64bit)  
libdl.so.2()(64bit)  
libdl.so.2(GLIBC_2.2.5)(64bit)  
libdrm.so.2()(64bit)  
libglib-2.0.so.0()(64bit)  
libgmodule-2.0.so.0()(64bit)  
libgobject-2.0.so.0()(64bit)  
libgthread-2.0.so.0()(64bit)  
libm.so.6()(64bit)  
libm.so.6(GLIBC_2.2.5)(64bit)  
libpango-1.0.so.0()(64bit)  
libpangocairo-1.0.so.0()(64bit)  
libpthread.so.0()(64bit)  
libpthread.so.0(GLIBC_2.2.5)(64bit)  
librt.so.1()(64bit)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
rpmlib(PayloadIsXz) <= 5.2-1

cogl-debuginfo-1.7.0-1.fc16.x86_64.rpm
cogl-debuginfo = 1.7.0-1.fc16
cogl-debuginfo(x86-64) = 1.7.0-1.fc16
=
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1

cogl-devel-1.7.0-1.fc16.x86_64.rpm
pkgconfig(cogl-1.0) = 1.7.0
pkgconfig(cogl-2.0-experimental) = 2.0.0
pkgconfig(cogl-gl-1.0) = 1.7.0
pkgconfig(cogl-pango-1.0) = 1.7.0
pkgconfig(cogl-pango-2.0-experimental) = 1.7.0
cogl-devel = 1.7.0-1.fc16
cogl-devel(x86-64) = 1.7.0-1.fc16
=
/usr/bin/pkg-config  
cogl = 1.7.0-1.fc16
fontconfig-devel  
glib2-devel  
gobject-introspection-devel  
libcogl-pango.so.0()(64bit)  
libcogl.so.0()(64bit)  
mesa-libGL-devel  
pango-devel  
pkgconfig  
pkgconfig(cogl-1.0)  
pkgconfig(gl)  
pkgconfig(glib-2.0)  
pkgconfig(libdrm)  
pkgconfig(pangocairo) >= 1.20
pkgconfig(x11)  
pkgconfig(xcomposite) >= 0.4
pkgconfig(xdamage)  
pkgconfig(xext)  
pkgconfig(xfixes) >= 3
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

cogl-doc-1.7.0-1.fc16.noarch.rpm
cogl-doc = 1.7.0-1.fc16
=
cogl = 1.7.0-1.fc16
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Seems fine.

SHOULD Items:

+ Should build in mock.
- Should build on all supported archs
- Should function as described.
- Should have sane scriptlets.
+ Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version

Issues:

1.  Wrong FSF address in copying, cogl.x86_64: E: incorrect-fsf-address /usr/share/doc/cogl-1.7.0/COPYING, please report upstream (and submit a patch to fix it).
2.  Why is the package named cogl but the description (of doc) says clutter?  Looks like you copied some parts from clutter's spec file and forgot to change some parts.

Apart from these two small issues, it's all good.




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Peter Robinson 2011-06-16 05:19:44 EDT
> Issues:
> 
> 1.  Wrong FSF address in copying, cogl.x86_64: E: incorrect-fsf-address
> /usr/share/doc/cogl-1.7.0/COPYING, please report upstream (and submit a patch
> to fix it).

I've already reported this upstream to the author. As the COPYING file is included they will update it in GIT and we'll get the fix in a new release.

> 2.  Why is the package named cogl but the description (of doc) says clutter? 
> Looks like you copied some parts from clutter's spec file and forgot to change
> some parts.

Fixed (I maintain clutter as well and this has been split out of clutter).

http://pbrobinson.fedorapeople.org/cogl-1.7.0-2.fc16.src.rpm
Comment 3 Elad Alfassa 2011-06-16 05:33:51 EDT
the -devel summary is still 
Summary:       Clutter development environment
Is it right?

Also, please update the spec and not just the srpm next time, to make it easier on reviewers.




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Peter Robinson 2011-06-16 05:56:18 EDT
(In reply to comment #3)
> the -devel summary is still 
> Summary:       Clutter development environment
> Is it right?

Fixed.

> Also, please update the spec and not just the srpm next time, to make it easier
> on reviewers.

I do update the spec every time but as its not versioned like the NVR of the srpm the URL doesn't change. If your not seeing the updates its because your browser is cacheing the file.

SRPM: http://pbrobinson.fedorapeople.org/cogl-1.7.0-3.fc16.src.rpm
Comment 5 Elad Alfassa 2011-06-16 06:02:13 EDT
OK,

APPROVED. 



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Peter Robinson 2011-06-16 06:22:58 EDT
Thanks!

New Package GIT Request
=======================
Package Name: cogl
Short Description: A library for using 3D graphics hardware to draw pretty pictures
Owners: pbrobinson
Branches:
InitialCC:
Comment 7 Gwyn Ciesla 2011-06-16 08:19:45 EDT
Git done (by process-git-requests).
Comment 8 Ralf Corsepius 2011-06-17 00:39:24 EDT
FYI: The *-devel package should own
/usr/include/cogl
Comment 9 Peter Robinson 2011-06-17 03:27:38 EDT
(In reply to comment #8)
> FYI: The *-devel package should own
> /usr/include/cogl

Fixed in git
Comment 10 Peter Robinson 2011-08-02 08:31:48 EDT
built and in rawhide and F-16

Note You need to log in before you can comment on or make changes to this bug.